Subject: bug#64024: 29.0.91; `emoji-insert` shows me confusing empty lists

From: Gregory Heytings <[email-masked]>
Date: Thu, 15 Jun 2023 08:41:38 +0000

>> Perhaps the emoji-* commands (C-x 8 e [eilrs]) should simply error out 
>> when (list-fonts (font-spec :script 'emoji)) is nil?
>
> That would stop you using them in tty frames, where they work fine.
>

That "(list-fonts (font-spec :script 'emoji))" was not a patch, just an 
idea, and indeed for TTY frames, where emojis can (but do not always) work 
fine, it should be skipped.

>
> "C-x 8 e s" already does that, we could extend it to "C-x 8 e e". Once 
> youʼre down to half a dozen emoji it should fit fine.
>

Yes, C-x 8 e s uses the standard *Completions* buffer.  The point of 
Stefan's bug report is that C-x 8 e i doesn't, and when no suitable font 
is available it's not really usable.